<?php
/*======================================================================*\
|| #################################################################### ||
|| # Package - Yj Mijoshop Products								        ||
|| # Copyright (C) since 2007  Youjoomla.com . All Rights Reserved.     ||
|| # license - PHP files are licensed under  GNU/GPL V2                 ||
|| # license - CSS  - JS - IMAGE files  are Copyrighted material        ||
|| # bound by Proprietary License of Youjoomla.com                      ||
|| # for more information visit http://www.youjoomla.com/license.html   ||
|| # Redistribution and  modification of this software                  ||
|| # is bounded by its licenses                                         ||
|| # websites - http://www.youjoomla.com | http://www.yjsimplegrid.com  ||
|| #################################################################### ||
\*======================================================================*/
// no direct access
defined('_JEXEC') or die('Restricted access');

class modYjMijoCatsHelper
{
	

	static function getCategories(&$params,$modid,$get_cats,$show_parent) {
		
		/* add styles and scripts */			
		$document = JFactory::getDocument();
		$document->addStyleSheet(JURI::base() . 'modules/mod_yj_mijo_cats_menu/css/style.css');
		
		
		// mijoitemid
		$app      			= JFactory::getApplication();
		$getmenu 			= $app->getMenu();
		$findMenuItem 		= $getmenu->getItems( 'component', 'com_mijoshop', true );
		$MijoItemid 		= $findMenuItem->id;
		$get_lang 			= $params->get('get_lang',1);
		$get_lang			= $get_lang[0];
		if(empty($get_lang)){
			$get_lang = 1;
		}
		
		/* prepare database */
		$db			= JFactory::getDBO();

		
		$where ='';
		if ($get_cats[0] > 0){
			
			
			
			if($show_parent == 1){
				
				$where = ' AND c.category_id = '.$get_cats[0].' OR c.parent_id ='.$get_cats[0].' ';
				
			}else{
				
				$where = ' AND c.parent_id = '.$get_cats[0].' ';
				
			}
			
		}
		
		$sql = 'SELECT * FROM #__mijoshop_category AS c LEFT JOIN #__mijoshop_category_description AS cd ON c.category_id = cd.category_id
				WHERE c.status = 1
				AND language_id = '.$get_lang.'
				ORDER BY c.sort_order';
				
		$db->setQuery( $sql );
		$load_categories = $db->loadObjectList();
		
		$yjmijo_categories =array();
		foreach ( $load_categories as $row ) {

			$cat_link =  JRoute::_( 'index.php?option=com_mijoshop&route=product/category&path='.$row->category_id.'&Itemid='.$MijoItemid.'');
			$yjmijo_category = array(
					'item_link'			=> $cat_link,
					'item_title' 		=> $row->name,
					'item_id'	 		=> $row->category_id,
					'item_parent'		=> $row->parent_id,
					'parent_link'		=> JRoute::_( 'index.php?option=com_mijoshop&route=product/category&path='.$row->parent_id.'&Itemid='.$MijoItemid.'')
				);
				$yjmijo_categories[] = $yjmijo_category;
			}
			
			return $yjmijo_categories;
	}
	
	
	static function yj_mijo_menu_children($rows, $id) {
		foreach ($rows as $row) {
			if ($row['item_parent'] == $id)
				return true;
		}
		return false;
	}	
	
	static function yj_mijo_menu($rows,$parent = 0,$current='',$showp='') {
		$result = "<ul class=\"yj_mijo_cats\">";
		$pshown = false;
		foreach ($rows as $row) {
			
			if ($row['item_id'] == $current) {
				$active = ' class="active_cat" ';
			} else {
				$active = '';
			}
			
			if ($row['item_parent'] == $parent) {
				
				
				if($parent > 0 && $showp == 1 && !$pshown){
					
					if ($row['item_parent'] == $current) {
						$activep = ' class="active_cat isparent" ';
					} else {
						$activep = ' class="isparent" ';
					}
										
					$db			= JFactory::getDBO();
					$sql = 'SELECT name FROM #__mijoshop_category_description WHERE category_id = '.$parent.'';
							
					$db->setQuery( $sql );
					$parent_name = $db->loadResult();
					
					$result .= "<li$activep><a href=\"$row[parent_link]\">$parent_name</a>";
					$pshown = true;
				}
				
				$result .= "<li$active><a href=\"$row[item_link]\">$row[item_title]</a>";
				if (self::yj_mijo_menu_children($rows, $row['item_id'])) {
					$result .= self::yj_mijo_menu($rows, $row['item_id'],$current);
				}
				$result .= "</li>";
			}
		}
		$result .= "</ul>";
		
		return $result;
	}
}
?>